<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___i_a_s__server__client" kind="group">
    <compoundname>group_ble_service_api_IAS_server_client</compoundname>
    <title>IAS Server and Client Function</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___i_a_s__server__client_1gab58ba8c97a2fbf3ada43dc9f27c53e8f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_IASS_Init</definition>
        <argsstring>(const cy_stc_ble_iass_config_t *config)</argsstring>
        <name>Cy_BLE_IASS_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__iass__config__t">cy_stc_ble_iass_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes server of the Immediate Alert service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the IAS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="93" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ias.c" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ias.h" line="105" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___i_a_s__server__client_1ga0b9879a7cc0b9b69a37d8a3e2a5e6e78" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_IASC_Init</definition>
        <argsstring>(const cy_stc_ble_iasc_config_t *config)</argsstring>
        <name>Cy_BLE_IASC_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__iasc__config__t">cy_stc_ble_iasc_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes client of the Immediate Alert service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the IAS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="158" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ias.c" bodystart="115" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ias.h" line="106" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___i_a_s__server__client_1ga5eaefdb8aace72fb807a01ae2dcffc50" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_IAS_RegisterAttrCallback</definition>
        <argsstring>(cy_ble_callback_t callbackFunc)</argsstring>
        <name>Cy_BLE_IAS_RegisterAttrCallback</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref></type>
          <declname>callbackFunc</declname>
        </param>
        <briefdescription>
<para>Registers a callback function for service-specific attribute operations. </para>        </briefdescription>
        <detaileddescription>
<para>Service-specific Write Requests from the peer device will not be handled with an unregistered callback function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackFunc</parametername>
</parameternamelist>
<parameterdescription>
<para>An application layer event callback function to receive events from the PSoC 6 BLE Middleware. The definition of <ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref> for IAS service is:<linebreak />
 typedef void (* cy_ble_callback_t) (uint32_t eventCode, void *eventParam), where:<itemizedlist>
<listitem><para>eventCode: Indicates the event that triggered this callback (e.g. <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a892e3adb2589cde7257346928e97ee59">CY_BLE_EVT_IASS_WRITE_CHAR_CMD</ref>).</para></listitem><listitem><para>eventParam: Contains the parameters corresponding to the current event; (e.g. pointer to <ref kindref="compound" refid="structcy__stc__ble__ias__char__value__t">cy_stc_ble_ias_char_value_t</ref> structure that contains details of the characteristic for which the notification enabled event was triggered). </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="185" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ias.c" bodystart="182" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ias.h" line="107" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>These are API common to both GATT Client role and GATT Server role. </para>    </briefdescription>
    <detaileddescription>
<para>You may use them in either roles.</para><para>No letter is appended to the API name: Cy_BLE_IAS_ </para>    </detaileddescription>
  </compounddef>
</doxygen>